.NET

Reply
Contributor
mabe2k11
Posts: 24
Registered: ‎03-14-2006
Message 1 of 1 (173 Views)

Catch the publication event

173 Views, 0 Replies
06-08-2006 08:35 AM
Hello!

With the following code I can catch the event, when a plot-job is finished:

Autodesk.AutoCAD.PlottingServices.PlotReactorManager prm = new Autodesk.AutoCAD.PlottingServices.PlotReactorManager();
prm.EndPlot += new Autodesk.AutoCAD.PlottingServices.EndPlotEventHandler(prm_EndPlot);
.
.
.
void prm_EndPlot(object sender, Autodesk.AutoCAD.PlottingServices.EndPlotEventArgs e)
{
Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;
ed.WriteMessage("Plot finished");
}


But has the publication also such events? I need to get the filename of each drawing which was publicated.
I was looking in the Objectbrowser of VS2005 and I found some events which sounds good. But nothing catches the publication event.

Thanks
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.